%define		pkgname	mmap
Summary:	Memory mapped files for POSIX and Windows
Name:		ghc-%{pkgname}
Version:	0.5.8
Release:	1
Epoch:		1
License:	BSD
Group:		Development/Languages
Source0:	http://hackage.haskell.org/packages/archive/%{pkgname}/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	737e0f0a82dcfbc71e69c1b7b52de07e
URL:		http://hackage.haskell.org/package/mmap/
BuildRequires:	ghc >= 6.12.3
BuildRequires:	ghc-HUnit
BuildRequires:	rpmbuild(macros) >= 1.608
%requires_eq	ghc
Requires:	ghc-HUnit
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# debuginfo is not useful for ghc
%define		_enable_debug_packages	0

%description
This library provides a wrapper to mmap(2) or MapViewOfFile, allowing
files or devices to be lazily loaded into memory as strict or lazy
ByteStrings, ForeignPtrs or plain Ptrs, using the virtual memory
subsystem to do on-demand loading. Modifications are also supported.

%package doc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation

%description doc
HTML documentation for %{pkgname}.

%description doc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
runhaskell Setup.hs configure -v2 \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--libexecdir=%{_libexecdir} \
	--docdir=%{_docdir}/%{name}-%{version}

runhaskell Setup.hs build
runhaskell Setup.hs haddock --executables

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_libdir}/%{ghcdir}/package.conf.d

runhaskell Setup.hs copy --destdir=$RPM_BUILD_ROOT

# work around automatic haddock docs installation
%{__rm} -rf %{name}-%{version}-doc
cp -a $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}/html %{name}-%{version}-doc
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

runhaskell Setup.hs register \
	--gen-pkg-config=$RPM_BUILD_ROOT/%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%ghc_pkg_recache

%postun
%ghc_pkg_recache

%files
%defattr(644,root,root,755)
%{_libdir}/%{ghcdir}/package.conf.d/%{pkgname}.conf
%{_libdir}/%{ghcdir}/%{pkgname}-%{version}

%files doc
%defattr(644,root,root,755)
%doc %{name}-%{version}-doc/*
%changelog
* Fri May 31 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ghc-mmap.git;a=log;h=master

* Fri May 31 2013 Jan Rękorajski <baggins@pld-linux.org> 6b2c6dd
- up to 0.5.8
- fixed doc install

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> b43dd31
- fix md5

* Tue Sep 27 2011 Jan Rękorajski <baggins@pld-linux.org> c221e81
- 0.5.7

* Mon Feb 28 2011 Elan Ruusamäe <glen@pld-linux.org> 488f554
- update packaging, %requires_eq dep on ghc

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> b812352
- release 5

* Thu Feb 24 2011 Elan Ruusamäe <glen@pld-linux.org> 8b90b41
- use %ghc_pkg_recache macro; make url copyable; %ghcdir in rpmbuild macros

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 8e545af
- rel 3
- BR/R ghc-HUnit

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 36b26f9
- release 2

* Sat Aug 28 2010 Jan Rękorajski <baggins@pld-linux.org> 5caa720
- requires_releq due to very unique ids in packages built with ghc 6.12+

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 0209826
- rel 1
- hashed-storage and darcs look ok with it

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> ee203f0
- rel 0.1

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 836294a
- 0.5.6

* Fri Aug 27 2010 Jan Rękorajski <baggins@pld-linux.org> 97b3e19
- updated packaging to new template (ghc 6.12.3+)

* Sat Apr 10 2010 Jan Rękorajski <baggins@pld-linux.org> 32a7b55
- unfortunately we have to downgrade to 0.4
  see: http://bugs.darcs.net/issue1753

* Sat Apr 10 2010 Jan Rękorajski <baggins@pld-linux.org> dc4dfa8
- initial revision

